{% extends "base.html" %}

{% block page_name %}Request Sponsorship{%endblock %}

{% block extrahead %}
    {{ block.super }}
    {{ form.media }}
{% endblock %}

{% block sub_nav %}{% endblock %}

{% block content %}
{% if summit.state == "sponsor" or summit.state == "setup" %}
    <div class="row">
      <article class="span-8">
        <h1>Request Sponsorship</h1>
        <p>
            To request sponsorship for {{ summit.title }} in {{ summit.location }} we need to get a few details from you, such as where you'll be travelling from. We also need to know a bit about you so that we can judge your request. We'll get some of that from Launchpad, but please take the time to tell us about yourself in your own words.
        </p>
      </article>
    </div>

    <div class="row">
      <article id="form" class="span-8">
        <form method="post">{% csrf_token %}
            <fieldset>
            <h3>Your details</h3>
            {{ form.as_template }}
            <input type="hidden" name="{{ step_field }}" value="{{ step0 }}" />
            {{ previous_fields|safe }}
            <input type="submit" value="Next"/>
            </fieldset>
        </form>
      </article>
    </div>
{% else %}
    <div class="row">
      <article class="span-8">
        <h1>UDS Sponsorship</h1>
        <p>We are not currently accepting sponsorship applications for {{ summit.name }} in {{ summit.location }}. Please check back again later!</p>
      </article>
    </div>
{% endifequal %}
{% endblock %}
